Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deBitmapProxy Class Reference

`#include <deBitmap_priv.hpp>`

Inheritance diagram for deBitmapProxy:

[legend]
Collaboration diagram for deBitmapProxy:

[legend]
List of all members.

## Public Member Functions
| deBitmapProxy (IdeBitmap *bmp=NULL)
void * | GetWOInterface (long interface_id)
void | SetBitmap (IdeBitmap *bmp)
| give the proxy object a bitmap to work with
IdeBitmap * | GetBitmap ()
| retrieve the bitmap that the proxy holds
void | SetFilename (const char *filename)
| give the proxy object a bitmap filename to reference
void | SettingSavePixels (deBoolean Save)
| save the bitmap pixels to a file
const char * | GetFilename ()
| get the filename of the bitmap held by the proxy, if it has one
void | GetFilenameBuffer (char *buffer, long buffersize)
long | GetWidth ()
long | GetHeight ()
IdeDriver::BPP | GetFormat ()
## Public Attributes
| WorldObjectClassDef
## Static Public Attributes
long | s_BitmapProxyWOInterfaceID = -1
## Protected Member Functions
virtual | ~deBitmapProxy ()
## Private Attributes
IdeBitmap * | m_BMP
char | m_BitmapName [256]
deBoolean | m_SavePixels

## Constructor & Destructor Documentation

deBitmapProxy::~deBitmapProxy | ( |  | ) | `[protected, virtual]`

deBitmapProxy::deBitmapProxy | ( | IdeBitmap * | bmp = NULL | ) |

## Member Function Documentation

IdeBitmap * deBitmapProxy::GetBitmap | ( |  | ) | `[virtual]`

| retrieve the bitmap that the proxy holds Implements IdeBitmapProxy.

const char * deBitmapProxy::GetFilename | ( |  | ) | `[virtual]`

| get the filename of the bitmap held by the proxy, if it has one Implements IdeBitmapProxy.

void deBitmapProxy::GetFilenameBuffer | ( | char * | buffer,
|  | long | buffersize
| ) | `[virtual]`

| Implements IdeBitmapProxy.

IdeDriver::BPP deBitmapProxy::GetFormat | ( |  | ) | `[virtual]`

| Implements IdeBitmapProxy.

long deBitmapProxy::GetHeight | ( |  | ) | `[virtual]`

| Implements IdeBitmapProxy.

long deBitmapProxy::GetWidth | ( |  | ) | `[virtual]`

| Implements IdeBitmapProxy.

void * deBitmapProxy::GetWOInterface | ( | long | interface_id | ) | `[virtual]`

| request a related interface, identified with an ID originally returned from IdeWorldManager::GetUniqueWOInterfaceID Implements IdeWorldObject.

void deBitmapProxy::SetBitmap | ( | IdeBitmap * | bmp | ) | `[virtual]`

| give the proxy object a bitmap to work with Implements IdeBitmapProxy.

void deBitmapProxy::SetFilename | ( | const char * | filename | ) | `[virtual]`

| give the proxy object a bitmap filename to reference Implements IdeBitmapProxy.

void deBitmapProxy::SettingSavePixels | ( | deBoolean | Save | ) | `[virtual]`

| save the bitmap pixels to a file Implements IdeBitmapProxy.

## Member Data Documentation

char deBitmapProxy::m_BitmapName[256]`[private]`

IdeBitmap* deBitmapProxy::m_BMP`[private]`

deBoolean deBitmapProxy::m_SavePixels`[private]`

long deBitmapProxy::s_BitmapProxyWOInterfaceID = -1`[static]`

deBitmapProxy::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deBitmap_priv.hpp
- deBitmap.cpp